Package com.orchestranetworks.interactions

# Interface SessionInteraction.Specification

Enclosing interface:
  SessionInteraction

public static interface SessionInteraction.Specification
Gives information about the specification of the interaction.

Since:
  5.8.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UserMessage`
  `getAcceptButtonLabel()`
  Returns the label associated with the Accept button.
  `UserMessage`
  `getAcceptConfirmationMessage()`
  Returns the confirmation message associated with the Accept button.
  `UserMessage`
  `getRejectButtonLabel()`
  Returns the label associated with the Reject button.
  `UserMessage`
  `getRejectConfirmationMessage()`
  Returns the confirmation message associated with the Reject button.
  `boolean`
  `isAutoComplete()`
  Returns `true` if the user service associated with the interaction is auto-complete.
  `boolean`
  `isCommentMandatoryForAccept()`
  Returns `true` if the comment is mandatory for accepting the interaction.
  `boolean`
  `isCommentMandatoryForReject()`
  Returns `true` if the comment is mandatory for rejecting the interaction.
  `boolean`
  `isRejectEnabled()`
  Returns `true` if the reject is enabled for the interaction.

- ## Method Details

  - ### getAcceptButtonLabel

    UserMessage getAcceptButtonLabel()
    Returns the label associated with the Accept button.

  - ### getAcceptConfirmationMessage

    UserMessage getAcceptConfirmationMessage()
    Returns the confirmation message associated with the Accept button.

  - ### getRejectButtonLabel

    UserMessage getRejectButtonLabel()
    Returns the label associated with the Reject button.

  - ### getRejectConfirmationMessage

    UserMessage getRejectConfirmationMessage()
    Returns the confirmation message associated with the Reject button.

  - ### isAutoComplete

    boolean isAutoComplete()
    Returns `true` if the user service associated with the interaction is auto-complete.

    Currently, only some built-in services can be considered as auto-complete.

  - ### isRejectEnabled

    boolean isRejectEnabled()
    Returns `true` if the reject is enabled for the interaction.

  - ### isCommentMandatoryForAccept

    boolean isCommentMandatoryForAccept()
    Returns `true` if the comment is mandatory for accepting the interaction.

  - ### isCommentMandatoryForReject

    boolean isCommentMandatoryForReject()
    Returns `true` if the comment is mandatory for rejecting the interaction.